# Retrieve the last amendment of a subscription Retrieves detailed information about the last amendment of the specified subscription. Endpoint: GET /v1/amendments/subscriptions/{subscription-id} Version: 2025-12-17 ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Authorization` (string) The value is in the Bearer {token} format where {token} is a valid OAuth token generated by calling Create an OAuth token. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you do not need to set this header. ## Path parameters: - `subscription-id` (string, required) The ID of the subscription whose amendment changes you want to retrieve. ## Response 200 fields (application/json): - `autoRenew` (boolean) Determines whether the subscription is automatically renewed, or whether it expires at the end of the term and needs to be manually renewed. - `baseRatePlanId` (string) The rate plan ID on which changes are made. Only the Update or Remove amendment returns a base rate plan ID. - `baseSubscriptionId` (string) The ID of the subscription based on which the amendment is created. - `bookingDate` (string) The date when the amendment is signed. This field is to standardize the booking date information to increase audit ability and traceability of data between Zuora Billing and Zuora Revenue. It is mapped as the booking date for a sale order line in Zuora Revenue. - `code` (string) The amendment code. - `contractEffectiveDate` (string) The date when the amendment becomes effective for billing purposes, as yyyy-mm-dd. - `currentTerm` (integer) The length of the period for the current subscription term. - `currentTermPeriodType` (string) The period type for the current subscription term. Possible values are: - Month - Year - Day - Week - `customerAcceptanceDate` (string) The date when the customer accepts the amendment changes to the subscription, as yyyy-mm-dd. - `description` (string) Description of the amendment. - `destinationAccountId` (string) The ID of the account that the subscription is being transferred to. - `destinationInvoiceOwnerId` (string) The ID of the invoice that the subscription is being transferred to. - `effectiveDate` (string) The date when the amendment changes take effective. - `effectivePolicy` (string) Effective Policy for the subscription. Possible values are: - EffectiveImmediately - EffectiveEndOfBillingPeriod - SpecificDate The value depends on the following conditions: * If the rate plan change (from old to new) is an upgrade, the effective policy is EffectiveImmediately by default. * If the rate plan change (from old to new) is a downgrade, the effective policy is EffectiveEndOfBillingPeriod by default. * Otherwise, the effective policy is SpecificDate by default. Note: This feature is in the Early Adopter phase. We are actively soliciting feedback from a small set of early adopters before releasing it as generally available. If you want to join this early adopter program, submit a request at [Zuora Global Support](http://support.zuora.com/). - `id` (string) The amendment ID. - `name` (string) The name of the amendment. - `newRatePlanId` (string) The ID of the rate plan charge on which amendment is made. Only the Add or Update amendment returns a new rate plan ID. - `newSubscriptionId` (string) The ID of the subscription that the amendment changes. - `renewalSetting` (string) Specifies whether a termed subscription will remain termed or change to evergreen when it is renewed. Possible values are: - RENEW_WITH_SPECIFIC_TERM - RENEW_TO_EVERGREEN - `renewalTerm` (integer) The term of renewal for the amended subscription. - `renewalTermPeriodType` (string) The period type for the subscription renewal term. Possible values are: - Month - Year - Day - Week - `resumeDate` (string) The date when the subscription resumption takes effect, as yyyy-mm-dd. Note: This feature is in Limited Availability. If you wish to have access to the feature, submit a request at [Zuora Global Support](http://support.zuora.com/). - `serviceActivationDate` (string) The date when service is activated, as yyyy-mm-dd. - `specificUpdateDate` (string) The date when the Update Product amendment takes effect. Only for the Update Product amendments if there is already a future-dated Update Product amendment on the subscription. - `status` (string) The status of the amendment. Possible values are: - Draft - PendingActivation - PendingAcceptance - Completed - `subType` (string) Sub type for the subscription. Possible values are: - Upgrade - Downgrade - Crossgrade - PlanChanged This field shows the sub type you choose for your change plan amendment. However, if you do not set this field, the field will be automatically generated by the system according to the following rules: When the old and new rate plans are within the same Grading catalog group: * If the grade of new plan is greater than that of the old plan, this is an "Upgrade". * If the grade of new plan is less than that of the old plan, this is a "Downgrade". * If the grade of new plan equals that of the old plan, this is a "Crossgrade". When the old and new rate plans are not in the same Grading catalog group, or either has no group, this is "PlanChanged". Note: This feature is in the Early Adopter phase. We are actively soliciting feedback from a small set of early adopters before releasing it as generally available. If you want to join this early adopter program, submit a request at [Zuora Global Support](http://support.zuora.com/). - `success` (boolean) Returns true if the request was processed successfully. - `suspendDate` (string) The date when the subscription suspension takes effect, as yyyy-mm-dd. Note: This feature is in Limited Availability. If you wish to have access to the feature, submit a request at [Zuora Global Support](http://support.zuora.com/). - `termStartDate` (string) The date when the new terms and conditions take effect. - `termType` (string) Indicates if the subscription is TERMED or EVERGREEN. - `type` (string) Type of the amendment. Possible values are: - Cancellation - NewProduct - OwnerTransfer - RemoveProduct - Renewal - UpdateProduct - TermsAndConditions - ChangePlan - Note that this feature is in the Early Adopter phase. We are actively soliciting feedback from a small set of early adopters before releasing it as generally available. If you want to join this early adopter program, submit a request at [Zuora Global Support](http://support.zuora.com/).